#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.
services:
  _defaults:
    autowire: true

  xc.auto-import-base.daemons_hook:
    class: XC\AutoImportBase\LifetimeHook\DaemonsHook
    arguments:
      $services:
        - ['xc', '%env(default::string:XCART_UNITNAME)%', 'auto-import-base']
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: enable, method: onEnable}
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: disable, method: onDisable}

  XC\AutoImportBase\LifetimeHook\Rebuild:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: rebuild, method: onRebuild}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo550build4:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.0.4}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo550build8:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.0.8}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo551build1:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.1.1}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo554build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.4.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo557build0:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.7.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo557build0Prices:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.7.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo557build2:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.7.2}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo558build0ScheduleInBulk:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.8.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo558build0CarbConfig:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.8.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo558build0LabelHelp:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.8.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo559build0AddImportScheduleTask:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.9.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo559build0DeleteOldScheduleSettings:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.9.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo559build0UpdateLabelForUpdateByBlock:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.9.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo559build0FillConfigModuleFields:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.9.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5510build0AddDownloadTask:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.10.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5511build0:
    tags:
      - { name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.11.0 }
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5511build0InitIntegrationPriorityData:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.11.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5511build0MergeSameNameBrands:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.11.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5511build0RevertFakeAaiaForBrands:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.11.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5511build0RevertFakeAaiaForAutoBrands:
      tags:
        - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.11.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5511build0FillNotUpdateSetting:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.11.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5513build0TrimBrandsData:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.13.0}
  XC\AutoImportBase\LifetimeHook\Upgrade\UpgradeTo5513build0CorrectBrandsListTooltip:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-AutoImportBase, type: upgrade, method: onUpgrade, version: 5.5.13.0}
